Package opennlp.tools.util.normalizer

# Class EmojiCharSequenceNormalizer

java.lang.Object
opennlp.tools.util.normalizer.EmojiCharSequenceNormalizer

All Implemented Interfaces:
  `Serializable`, `opennlp.tools.util.normalizer.CharSequenceNormalizer`

@Deprecated(since="3.0.0", forRemoval=true) public class EmojiCharSequenceNormalizer extends Object implements opennlp.tools.util.normalizer.CharSequenceNormalizer
Deprecated, for removal: This API element is subject to removal in a future version.
Replaces every supplementary-plane code point with a space, not only emoji. Use `EmojiToEmoticonCharSequenceNormalizer` instead.
A `EmojiCharSequenceNormalizer` implementation that normalizes text in terms of emojis. Every encounter will be replaced by a whitespace.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmojiCharSequenceNormalizer()`
  Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EmojiCharSequenceNormalizer`
  `getInstance()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `CharSequence`
  `normalize(CharSequence text)`
  Deprecated, for removal: This API element is subject to removal in a future version.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmojiCharSequenceNormalizer

    public EmojiCharSequenceNormalizer()
    Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Details

  - ### getInstance

    public static EmojiCharSequenceNormalizer getInstance()
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### normalize

    public CharSequence normalize(CharSequence text)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Specified by:
      `normalize` in interface `opennlp.tools.util.normalizer.CharSequenceNormalizer`